<?php
/*
Plugin Name: Follow Me
Plugin URI: http://www.ignitesocialmedia.com/tools/follow-me/
Version: 2.0
Author: <a href="http://www.ignitesocialmedia.com/tools/follow-me/">Brian Chappell @ Ignite Social Media</a>
Description: The Follow Me plugin is designed to allow users the ability to add links to their social media profiles in their blog. To get started activate and visit the <a href="options-general.php?page=fmoptions">Settings Page</a>.
*/


/* UPDATE/INSTALL FUNCTION */

function FollowMe_install () {
    $pluginpath = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
    global $wpdb;
    global $FollowMe_version;
    
    $table_name = $wpdb->prefix . "FollowMe_Links";
    if($wpdb->get_var("show tables like '$table_name'") != $table_name) {        
        $sql = "CREATE TABLE " . $table_name . " (
        `id` INT NOT NULL AUTO_INCREMENT ,
        `name` VARCHAR( 100 ) NOT NULL ,
        `icon` VARCHAR( 500 ) NOT NULL ,
        `address` VARCHAR( 500 ) NOT NULL ,
        PRIMARY KEY ( `id` )
        );";
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
        $installarr = array("FollowMe_Yelp","FollowMe_Technorati","FollowMe_SlideShare","FollowMe_Propeller","FollowMe_Picasa","FollowMe_Newsvine","FollowMe_Last","FollowMe_kirtsy","FollowMe_FriendFeed","FollowMe_brightkite","FollowMe_Mahalo","FollowMe_plurk","FollowMe_Ping","FollowMe_MyBlogLog","FollowMe_Twitter","FollowMe_LinkedIn","FollowMe_StumbleUpon","FollowMe_Myspace","FollowMe_Sphinn","FollowMe_Facebook","FollowMe_Digg","FollowMe_Delicious","FollowMe_Youtube","FollowMe_Reddit","FollowMe_Flickr","FollowMe_Mixx","FollowMe_Xing","FollowMe_Identica","FollowMe_Plaxo","FollowMe_Orkut");
        foreach($installarr as $row) {
	                $insert = "INSERT INTO " . $table_name . " (name, icon, address) VALUES ('".str_replace('FollowMe_', '', $row)."','" .$pluginpath ."images/".strtolower(str_replace('FollowMe_','',$row)).".png','" . get_option($row) . "')";
                    $results = $wpdb->query( $insert );
            		if($results){
	            	$wpdb->query("DELETE FROM " . $table_name . " WHERE address = ''");
					delete_option($row);
	            	}
       }                  	
    $i=1;
	while($i<=15)
  	{
	  	$text = "FollowMe_LinkText".$i;	
	  	$url = "FollowMe_LinkURL".$i;	  	
	  	
        	$insertcustom = "INSERT INTO " . $table_name . " (name, icon, address) VALUES ('".get_option($text)."','" .$pluginpath ."images/avatar.jpg','" . get_option($url) . "')";
        	$action = $wpdb->query( $insertcustom );
        	if($action){
	        	$wpdb->query("DELETE FROM " . $table_name . " WHERE address = ''");
	        	delete_option($text);
	        	delete_option($url);
	        }
  		$i++;
		
  	}	
     add_option("FollowMe_version", $FollowMe_version);
     add_option("FollowMe_Buttons",'button.gif');
     add_option("FollowMe_Layout",'true');
     add_option("FollowMe_NewWin",'check');
     add_option("FollowMe_Columns",'2');
     add_option("FollowMe_Design",'old');
     add_option("FollowMe_New_Side",'left');
     add_option("FollowMe_New_Size",'small');
     }
}

register_activation_hook(__FILE__,'FollowMe_install');



function FollowMe_Scripts(){
if(get_option('FollowMe_Design') == 'old'){}else{
	
$pluginpath = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)); 
?>
<script type="text/javascript" src="<?php echo $pluginpath; ?>js/bubble.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo $pluginpath; ?>css/style.css" />
<?php } 
}

function FollowMe_Bubble(){
global $wpdb;
$pluginpath = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)); 
if(get_option('FollowMe_Design') == 'old'){}else{
	if(get_option('FollowMe_New_Side') == 'left'){
		if(get_option('FollowMe_New_Size') == 'small'){ ?>
			<a id="FollowMeTabLeftSm" onClick="showFollowMe()" href="#" style="border-bottom:none;"><img src="<?php echo $pluginpath; ?>images/leftsm.gif" border="0" /></a>
		<?php }else{ ?> 
			<a id="FollowMeTabLeftLg" onClick="showFollowMe()" href="#" style="border-bottom:none;"><img src="<?php echo $pluginpath; ?>images/leftlg.gif" border="0" /></a>	
<?php }} else{ 
			if(get_option('FollowMe_New_Size') == 'small'){ ?>
			<a id="FollowMeTabRightSm" onClick="showFollowMe()" href="#" style="border-bottom:none;"><img src="<?php echo $pluginpath; ?>images/rightsm.gif" border="0" /></a>
		<?php }else{ ?>
			<a id="FollowMeTabRightLg" onClick="showFollowMe()" href="#" style="border-bottom:none;"><img src="<?php echo $pluginpath; ?>images/rightlg.gif" border="0" /></a>	
 
<?php } } ?>

<div id="FollowMeBubbleBG" style="visibility:hidden;"></div>
<div id="FollowMeBubble" style="visibility:hidden;border-bottom:none;">

<!--------Ken Hoes Rewrite Feb. 11, 2010 -------->

<div class="top" style="background-image:url('<?php echo $pluginpath; ?>images/followme_top.gif');width:329px;height:60px;float:left;display:block;border-bottom:none;">
<a id="close" onClick="hideFollowMe()" href="#" style="border-bottom:none"><img src="<?php echo $pluginpath; ?>images/close.png" border="0" /> </a>
<!--><a id="grab" target="_blank" title="grab this" href="http://www.ignitesocialmedia.com/tools/follow-me/"><span>grab this</span></a>--></div>
<div class="mid" style="background-image:url('<?php echo $pluginpath; ?>images/followme_mid.gif');width:329px;background-repeat:repeat-y;float:left;">
<div id="stretch">
<?php
$table_name = $wpdb->prefix . "FollowMe_Links";
$selectprofiles = "SELECT * FROM ".$table_name;
$action = $wpdb->get_results($selectprofiles);

foreach ($action as $row) {
?>
<span><a title="<?php echo $row->name; ?>"<?php if(get_option('FollowMe_NewWin') == 'check') { ?> target="_blank" <?php } ?>href="<?php echo $row->address; ?>" rel="me"><img src="<?php echo $row->icon; ?>" border="0" alt="<?php echo $row->name; ?>" /> <?php echo $row->name; ?></a></span>
<?php } ?>
</div></div>
<div class="bottom" style="background-image:url('<?php echo $pluginpath; ?>images/followme_bottom.gif');height:34px;width:329px;clear:both;float:left;">
<a id="grab" target="_blank" title="grab this" style="border-bottom:none;" href="http://www.ignitesocialmedia.com/tools/follow-me/"><span>grab this</span></a>
</div>
<div class="grab" style="width:329px;clear:both;float:left;"><a style="border-bottom:none;" href="http://www.ignitesocialmedia.com/tools/follow-me/"><img src="<?php echo $pluginpath; ?>images/followme_grab.gif" /></a></div>
</div>


<!--------- END Ken Hoes Rewrite ------------>	



<!--  OLD CODE ------------------------
<table id="bubblewrap" style="background-image:url('<?php echo $pluginpath; ?>images/bubbletop.gif');background-repeat:no-repeat;background-position:top left;border-collapse:collapse;border:0px;">
	<tr valign="top">
		<td valign="top" style="background-image:url('<?php echo $pluginpath; ?>images/bubblebottom.gif');background-repeat:no-repeat;background-position:bottom left;">
<span style="visibility:hidden;">Follow Me</span>..
<table>
<tr>
<td>
<div id="stretch">
<?php
$table_name = $wpdb->prefix . "FollowMe_Links";
$selectprofiles = "SELECT * FROM ".$table_name;
$action = $wpdb->get_results($selectprofiles);

foreach ($action as $row) {
?>
<span><a title="<?php echo $row->name; ?>"<?php if(get_option('FollowMe_NewWin') == 'check') { ?> target="_blank" <?php } ?>href="<?php echo $row->address; ?>" rel="me"><img src="<?php echo $row->icon; ?>" border="0" alt="<?php echo $row->name; ?>" /> <?php echo $row->name; ?></a></span>
<?php } ?>
</div>
</td>
</tr>
<tr>
<td height="39px">
<a id="close" onClick="hideFollowMe()" href="#"><img src="<?php echo $pluginpath; ?>images/close.png" border="0" /> </a>
<a id="grab" target="_blank" title="grab this" href="http://www.ignitesocialmedia.com/tools/follow-me/"><span>grab this</span></a>
</td>	
</tr>
</table>	
</td>
</tr>
</table>
</div> 
 ---------------- OLD CODE -->



<?php } }

function FollowMeSocialMedia() {
if(get_option('FollowMe_Design') == 'new'){}else{	
	
$pluginpath = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)); 
if(get_option('FollowMe_Buttons') !== 'none')
{ ?>
<script type="text/javascript" src="
<?php echo $pluginpath; ?>js/followme.js"></script>


<li>

<a href="#" onmouseover="TagToTip('FollowMe', LEFT, 
<?php if(get_option('FollowMe_Layout') == ''){echo "true";}else{echo get_option('FollowMe_Layout');}?>, BORDERWIDTH, 0, BGCOLOR, '#E0E0E0', FADEIN, 200, FADEOUT, 200, STICKY, true, PADDING, 0, CLICKCLOSE, true)" onmouseout="UnTip()">
<img id="FollowMeClick" style="border: none;" src="
<?php echo $pluginpath; ?>images/<?php echo get_option('FollowMe_Buttons'); ?>" border="0" alt="" /></a> 

<?php }
else
{ }
?>
<li>
<div style="border: thin solid #E0E0E0; width:260px;
<?php if(get_option('FollowMe_Buttons') !== 'none'){echo "display:none;";}else{echo "";} ?>" id="FollowMe">
<table style="border-style:hidden;border-collapse: collapse;border-spacing:0px;" width="260px"><tbody>
<tr  style="background-color: rgb(224, 224, 224);border-style:hidden;">
<td <?php if(get_option('FollowMe_Columns') != 1){ ?>colspan="2"<?php } ?> style="background-color: rgb(224, 224, 224);border-style:hidden;"  align="left">
<span style="display:inline;font: 10pt 'Lucida Grande', Verdana, Arial, Sans-Serif;color: #000000;text-decoration: none;display: inline; text-transform: capitalize; text-align:left;font-weight:900;">Follow Me:</span><br/>
</td>
</tr>
<tr <?php if(get_option('FollowMe_Columns') != 1){echo 'width="260px"';} ?><?php if(get_option('FollowMe_Columns') == 1){echo 'width="130px"';} ?> style="background-color: rgb(255, 255, 255);border-style:hidden;">
<td width="130px" valign="top" style="padding-left: 4px; padding-top: 4px;border-style:hidden;" >
<?php
global $wpdb;
$table_name = $wpdb->prefix . "FollowMe_Links";
$selectprofiles = "SELECT * FROM ".$table_name;
$action = $wpdb->get_results($selectprofiles);

foreach ($action as $row) { ?>

<span style="display:inline;padding-top: 2px;text-transform:capitalize;">
<img style="border: none; vertical-align:middle; padding-right: 2px;" src="
<?php echo $row->icon; ?>	
" alt="" />
<a style="font:10pt'Lucida Grande',Verdana,Arial,Sans-Serif;color:#000000;text-decoration:none;display:inline;" rel="me" href="
<?php echo $row->address; ?>
" title="
<?php echo $row->name; ?>
">
<?php echo $row->name; ?>
</a>
</span>
<br/>

<?php } ?>

</td>
</tr>
<tr  style="background-color: rgb(224, 224, 224);">
<td style="background-color: rgb(224, 224, 224);" <?php if(get_option('FollowMe_Columns') != 1){ ?>colspan="2"<?php } ?> align="right">
<a style="font: 10pt 'Lucida Grande', Verdana, Arial, Sans-Serif;color: #000000;text-decoration: none;display: inline; text-transform: capitalize; text-align:right;" title="Grab This" target="_blank" href="http://www.ignitesocialmedia.com/tools/follow-me/">Grab This</a>
</td>
</tr>
</tbody>
</table>
</div>
</li>
<?php 
}} 

/* OPTIONS PAGE */

function FollowMeIgniteSocialMedia_options_page()
{
global $wpdb;	
$table_name = $wpdb->prefix . "FollowMe_Links";
$pluginpath = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)); 
if(isset($_POST['profilelinks'])){
	$name = $_POST['name'];
	$url = $_POST['url'];
	$insertprofilelinks = "INSERT INTO " . $table_name . " (name, icon, address) VALUES ('" . $name . "','" . $pluginpath . "images/".strtolower($name).".png','" . $url . "')";
    $action = $wpdb->query($insertprofilelinks);
}
if(isset($_POST['customlinks'])){
	$name = $_POST['name'];
	$url = $_POST['url'];
	$insertcustom = "INSERT INTO " . $table_name . " (name, icon, address) VALUES ('" . $name . "','" . $pluginpath . "images/avatar.jpg','" . $url . "')";
    $action = $wpdb->query($insertcustom);
}

if(isset($_POST['designoptions'])){
	update_option('FollowMe_Buttons', $_POST['buttons']);
	update_option('FollowMe_Layout', $_POST['layout']);
	update_option('FollowMe_NewWin', $_POST['newwin']);
	update_option('FollowMe_Columns', $_POST['columns']);
	update_option('FollowMe_Design', $_POST['design']);
	update_option('FollowMe_New_Side', $_POST['side']);
	update_option('FollowMe_New_Size', $_POST['size']);
}

if(isset($_GET['del'])){
	$wpdb->query("DELETE FROM " . $table_name . " WHERE id = '".$_GET['del']."'");
	}
	
	
	
 ?>
<div class="wrap">
<h1>Follow Me Plugin Settings</h1>
<p>Thank you for using the Follow Me Plugin. Use the settings below to customize the plugin to your needs. If you want us to add other social profile accounts to the widget contact us at: <a href="http://www.ignitesocialmedia.com/tools/follow-me/" target="_blank">www.ignitesocialmedia.com/tools/follow-me/</a></p>
<fieldset style="border:solid;border-width:1px;border-color:#21759B;">
<legend style="margin-left:20px;font-size:150%;font-weight:900;">
Manage Your Profile Links
</legend>
<div style="margin:10px;">
<h3>Add Your Profiles:</h3>
<p>Fill in your details below. In each field add the complete URL to your different profiles.<br>
<span style="color:#FF0000">Please note that you must include HTTP:// in order for your link to work. (ie. http://www.example.com) </span></p>
<?php wp_nonce_field('update-options'); ?>
<table border="0" style="border-collapse: collapse" width="800px">

<form method="post" action="options-general.php?page=fmoptions&updated=true">
<input type="hidden" name="profilelinks" value="1" />
<tr><td width="33%" align="right">
<?php         
$optionarr = array("Yelp","Technorati","SlideShare","Propeller","Picasa","Newsvine","Last","kirtsy","FriendFeed","brightkite","Mahalo","plurk","Ping","MyBlogLog","Twitter","LinkedIn","StumbleUpon","Myspace","Sphinn","Facebook","Digg","Delicious","Youtube","Reddit","Flickr","Mixx","Xing","Identica","Plaxo","Orkut","RSS","Buzz");
sort($optionarr);
?>
<select style="width:200px;" name="name">
<?php
foreach($optionarr as $row) {
?>
<option value="
<?php echo $row; ?>
">
<?php echo $row; ?>
</option>
<?php } ?>
</select>
</td>
<td width="33%"><input size="75" type="text" name="url" value="http://" /></td>
<td width="33%">
<p style="margin:0px;padding:0;" class="submit">
<input type="submit" class="button-primary" name="Submit" value="<?php _e('Add Profile Link') ?>" />
</p>
</td>
</tr>
</form>
<form method="post" action="options-general.php?page=fmoptions&updated=true">
<input type="hidden" name="customlinks" value="1" />
<tr><td width="33%" align="right"><input name="name" style="width:200px;" type="text" onclick="this.value=''" value="Custom Link Name" /></td>
<td width="33%"><input size="75" type="text" name="url" value="http://" /></td>
<td width="33%">
<p style="margin:0px;padding:0;" class="submit">
<input type="submit" class="button-primary" name="Submit" value="<?php _e('Add Custom Link') ?>" />
</p>
</td>
</tr>
</form>
</table>
<h3>Your Profiles:</h3>
<table width="700px">

<?php
$selectprofiles = "SELECT * FROM ".$table_name;
$action = $wpdb->get_results($selectprofiles);

foreach ($action as $row) {
?>
<tr style="border-bottom:solid;border-width:1px;border-color:#aeaeae;">
<td style="border-bottom:solid;border-width:1px;border-color:#aeaeae;" width="20px" align="right">
<img src="
<?php echo $row->icon; ?>" />
</td>
<td style="border-bottom:solid;border-width:1px;border-color:#aeaeae;" width="655px">
<?php echo $row->address; ?>
</td>
<td style="border-bottom:solid;border-width:1px;border-color:#aeaeae;" width="25px">
<a style="color:red;" href="options-general.php?page=fmoptions&&updated=true&del=
<?php echo $row->id; ?>" >delete</a>
</td>
</tr>
<?php } ?>

</table>
</div>
</fieldset>
<br/><br/>
<fieldset style="border:solid;border-width:1px;border-color:#21759B;">
<legend style="margin-left:20px;font-size:150%;font-weight:900;">
Design
</legend>
<div style="margin:10px;">
<p>
<form method="post" action="options-general.php?page=fmoptions&updated=true">
<input type="hidden" name="designoptions" value="1" />
<h3>New Windows?</h3>
<p><label><input type="checkbox" <?php if(get_option('FollowMe_NewWin') == 'check')
{
 echo "checked='checked'";
}
?> name="newwin" value="check"> Open links in new window or tab.</label></p>

<h3 style="margin:0px">New Design</h3>
<p style="margin:0px">With the release of 2.0 we are offering a new design option that utilizes a tab that is placed on either the right or left margins of the page. When the tab is clicked a helpful dialog box is display in the center of the screen displaying your profile links.</p>
<br/><br/>
<h3 style="margin:0px">Old Design</h3>
<p style="margin:0px">Prior to version 2.0 this plugin used a "floating" box to display links when hovered over this <a href="<?php echo $pluginpath; ?>/images/button.gif" />button</a>. Enabling this option will allow you to contiue using that feature versus the new feature explained above.</p>
<br/><br/>
<div style="margin:5px;border:solid;border-width:5px;border-color:#a9c8d6;">
<span style="font-weight:900;"><input name="design" value="new" <?php if(get_option('FollowMe_Design') == 'new')
{
 echo "checked='checked'";
}
?> type="radio">New Design</span>
<div>
On which margin should the tab appear?
<br/>
<label><input name="side" value="left" <?php
if(get_option('FollowMe_New_Side') == 'left')
{
 echo "checked='checked'";
}
?> class="tog" type="radio"> Left</label>
<br/>
<label><input name="side" value="right" <?php
if(get_option('FollowMe_New_Side') == 'right')
{
 echo "checked='checked'";
}
?> class="tog" type="radio"> Right</label>
<br/><br/>
What size tab would you like?
<br/>
<label><input name="size" value="small" <?php
if(get_option('FollowMe_New_Size') == 'small')
{
 echo "checked='checked'";
}
?> class="tog" type="radio"> Small</label>
<br/>
<label><input name="size" value="large" <?php
if(get_option('FollowMe_New_Size') == 'large')
{
 echo "checked='checked'";
}
?> class="tog" type="radio"> Large</label>
</div>
</div>

<div style="margin:5px;border:solid;border-width:5px;border-color:#a9c8d6;"> 
<span style="font-weight:900;" class="oldd"><input name="design" value="old" <?php if(get_option('FollowMe_Design') == 'old')
{
 echo "checked='checked'";
}
?> type="radio">Old Design</span>  
<div class="oldd_body">
<h3>Widgets!</h3>
<p> To enable the Follow Me Plugin in your blogs sidebar visit the <a href="<?php bloginfo(url); ?>/wp-admin/widgets.php">Widgets Page</a>. Transfer the "Follow Me" selection from the left to the right and click "Save Changes".</p>
<h3>No Widgets? No Problem!</h3>
<p>If your version of Wordpress, or your blog's template, doesn't support Widgets, feel free to use the following template tag to add the Follow Me plugin to your blog. <strong>&#60;?php FollowMeSocialMedia() ?&#62;</strong> All you have to do is copy the tag and paste it anywhere in your template that you would like the Follow Me badge to appear.</p>

<table width="800px" border="0" style="border-collapse: collapse">
  <tbody>
    <tr>
      <th width="222" align="left"><label>
        <h3>Layout:</h3></label></th>
      <td aligh="left" width="568"><p>With the Follow Me Plugin you have the option of displaying your links using the default button or with a button free "link box" option. </p>
        <p>&nbsp;</p></td>
    </tr>
  </tbody>
</table>
<table border="0" style="border-collapse: collapse" width="800px">
  <tbody>
    <tr>
      <th width="222" align="left"><label><input name="buttons" value="button.gif" <?php
if(get_option('FollowMe_Buttons') == 'button.gif')
{
 echo "checked='checked'";
}
?> class="tog" type="radio">Default Button </label></th>
      <td width="568"><p><img src=" 
<?php echo $pluginpath; ?>/images/button.gif"/></p>
        <p>&nbsp;</p></td>
    </tr>
    <tr>
      <th align="left"><label>
        <input name="buttons" value="buttonmid.gif" class="tog" <?php
if(get_option('FollowMe_Buttons') == 'buttonmid.gif')
{
 echo "checked='checked'";
}
?> type="radio">Medium Button </label></th>
      <td><p><img src=" 
<?php echo $pluginpath; ?>/images/buttonmid.gif"/></p>
        <p>&nbsp;</p></td>
    </tr>
    <tr>
      <th align="left"><label>
        <input name="buttons" value="buttonlrg.gif" class="tog" <?php
if(get_option('FollowMe_Buttons') == 'buttonlrg.gif')
{
 echo "checked='checked'";
}
?> type="radio">Large Button</label></th>
      <td><p><img src=" 
<?php echo $pluginpath; ?>/images/buttonlrg.gif"/></p>
        <p>&nbsp;</p></td>
    </tr>
  </tbody>
</table>
<table width="800px" border="0" class="form-table" style="border-collapse: collapse">
  <tbody>
    <tr>
      <th align="left"><input name="buttons" value="none" <?php
if(get_option('FollowMe_Buttons') == 'none')
{
 echo "checked='checked'";
}
?> class="tog" type="radio">Display as Box:</th>
      <td><img src=" 
<?php echo $pluginpath; ?>/images/box-layout.png"/></td>
    </tr>
    <tr>
      <th width="220" align="left"><label>
        </label></th>
      <td width="570">&nbsp;
        </td>
    </tr>
  </tbody>
</table>
<h3>Number of Columns:</h3>
<label>1<input name="columns" value="1" <?php
if(get_option('FollowMe_Columns') == 1)
{
 echo "checked='checked'";
}
?> class="tog" type="radio"></label>
<br/>
<label>2<input name="columns" value="2" <?php
if(get_option('FollowMe_Columns') != '1')
{
 echo "checked='checked'";
}
?> class="tog" type="radio"></label>
<h3>Window Alignment:</h3>
<table border="0" style="border-collapse: collapse" class="form-table" width="800px">
  <tbody>
    <tr>
      <th width="224" align="left"><label>
        <input name="layout" value="true" <?php
if(get_option('FollowMe_Layout') == 'true')
{
 echo "checked='checked'";
}
?> class="tog" type="radio">
        Open to the left:</label></th>
      <td width="566"><img src=" 
<?php echo $pluginpath; ?>/images/left-right.png"/></td>
    </tr>
    <tr>
      <th align="left"><label>
        <input name="layout" value="false" class="tog" <?php
if(get_option('FollowMe_Layout') == 'false')
{
 echo "checked='checked'";
}
?> type="radio">
        Open to the right:</label></th>
      <td><img src=" 
<?php echo $pluginpath; ?>/images/right-left.png"/></td>
    </tr>
  </tbody>
</table>


<p>&nbsp;</p>
</div>
</div>


<p class="submit">
<input type="submit" class="button-primary" name="Submit" value="<?php _e('Save Changes') ?>" />
</p>
</form>
</div>
</fieldset>
</div>
<?php 	
}

function widget_FollowMeIgniteSocialMedia_control()
{
?>
<div style="text-align:left">
To edit the options for this widget, please visit the <a href="options-general.php?page=fmoptions">Follow Me Settings Page</a>.
</div>
<?php
}

/* CALL OPTIONS PAGE */

function FollowMeIgniteSocialMedia_add_pages()
{
$mypage = add_options_page('Follow Me Options', 'Follow Me Options', 8, 'fmoptions', 'FollowMeIgniteSocialMedia_options_page');
add_action( "admin_print_scripts-$mypage", 'FollowMe_admin_head' );
}
function FollowMe_admin_head() {
    $pluginpath = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)); 
	wp_enqueue_script('loadjs', $pluginpath . 'js/expand.js');
    echo "<script type='text/javascript' src='".$pluginpath."js/jquery.js'></script>";
}


/* CALL SIDE BAR WIDGET */
function widget_FollowMeIgniteSocialMedia()
{
 FollowMeSocialMedia();
}
function FollowMeIgniteSocialMedia_init()
{
 register_sidebar_widget(__('Follow Me'), 'widget_FollowMeIgniteSocialMedia');
 register_widget_control('Follow Me', 'widget_FollowMeIgniteSocialMedia_control');
}

/* HOOK IT IN */


add_action('wp_head', 'FollowMe_Scripts');
add_action('wp_footer', 'FollowMe_Bubble');


add_action('plugins_loaded', 'FollowMeIgniteSocialMedia_init');
add_action('admin_menu', 'FollowMeIgniteSocialMedia_add_pages');
?>